#
# spec file for package python-sphinx-feature-classification
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx-feature-classification
Version:        1.1.0
Release:        3.4
Summary:        Sphinx extension to generate a matrix of pluggable drivers
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://www.openstack.org/
Source:         https://files.pythonhosted.org/packages/source/s/sphinx-feature-classification/sphinx-feature-classification-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module ddt >= 1.0.1}
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module fixtures}
BuildRequires:  %{python_module pbr >= 2.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-docutils >= 0.11
Requires:       python-pbr >= 2.0
BuildArch:      noarch
%python_subpackages

%description
An extension to Sphinx to generate a matrix of pluggable drivers and
their support to an API.

%prep
%setup -q -n sphinx-feature-classification-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest sphinx_feature_classification/tests

%files %{python_files}
%license LICENSE
%doc AUTHORS ChangeLog README.rst
%{python_sitelib}/*

%changelog
* Tue Jun 20 2023 Steve Kowalik <steven.kowalik@suse.com>
- Add missing BuildRequires on six.
* Fri Feb 12 2021 Dirk Müller <dmueller@suse.com>
- replace oslotest with more correct fixtures dependency
* Fri Sep 18 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.1.0:
  * Cleanup misplaced release note
  * Reduce need for openstack specific requirements
  * Switch to victoria test template
  * Report sphinx extension is thread safe
  * Switch to newer openstackdocstheme and reno versions
* Wed Jun  3 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.0.1:
  * Update hacking for Python3
  * Switch to sphinx-build and cleanup
* Fri Mar  6 2020 pgajdos@suse.com
- version update to 1.0.0
  * Drop py2 support and testing
  * Add support for feature.api
  * make sure destination dir exist before copying files into it
  * Remove pypy from default env list
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.1:
  * Minor fixes
* Fri May 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.0:
  * OpenDev Migration Patch
  * Fix the summary table border not rendering
  * Copy the CSS into the built docs
  * Fix deprecated add\_stylesheet with add\_css\_file
  * Fix driver links rendering in the summary table
  * releasenotes: Remove crud from 'conf.py'
  * releasenotes: Switch to openstackdocstheme
* Fri Apr 26 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.3.2
  0.3.2
  * Change openstack-dev to openstack-discuss
  * Optimizing the safety of the http link site in HACKING.rst
  0.3.1
  * Handle ConfigParser.readfp deprecation
  * add python 3.6 unit test job
  0.3.0
  * Parse 'driver-notes-XXX' values
  * doc: Rework everything
  0.2.0
  * Update for Python 3 compatibility
  * Driver usage example is not correct
  * set default python to python3
  * Add badges, description and fix links in README
* Tue Dec 18 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in descriptions.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Mar 29 2018 tbechtold@suse.com
- Initial packaging (version 0.1.0)
